> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Groups > Lists all the private channels you are a member of. ### Changelog | Version | Description | | ------- | -------------------------------------------- | | 0.67.0 | Removed `query` parameter support. | | 0.62.0 | Add `query` parameter support. | | 0.49.0 | Count and offset query parameters supported. | | 0.33.0 | Added | ## OpenAPI ````json GET /api/v1/groups.list { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/groups.list": { "get": { "tags": [ "Groups" ], "summary": "Get Groups", "description": "Lists all the private channels you are a member of.\n\n### Changelog\n| Version | Description |\n| ------- | -------------------------------------------- |\n| 0.67.0 | Removed `query` parameter support. |\n| 0.62.0 | Add `query` parameter support. |\n| 0.49.0 | Count and offset query parameters supported. |\n| 0.33.0 | Added |", "operationId": "get-api-v1-groups.list", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" }, { "schema": { "type": "string" }, "in": "query", "name": "sort", "description": "Sort the channels in ascending (`1`) or descending (`-1`) order. The value must be entered as a JSON object. The options are as follows:\n * `name`: Sort by the channel name. For example, `sort={\"name\":1}` (this is the default sorting mechanism).\n * `ts`: Sort by channel creation timestamp. For example, `sort={\"ts\":-1}`\n * `usersCount`: Sort by the number of users in the channel. For example, `sort={\"usersCount\":1}`" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "groups": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "t": { "type": "string" }, "msgs": { "type": "integer" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "ts": { "type": "string" }, "ro": { "type": "boolean" }, "sysMes": { "type": "boolean" }, "_updatedAt": { "type": "string" } } } }, "offset": { "type": "integer" }, "count": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "groups": [ { "_id": "ByehQjC44FwMeiLbX", "name": "test-test", "t": "p", "msgs": 0, "u": { "_id": "aobEdbYhXfu5hkeqG", "username": "testing1" }, "ts": "2016-12-09T15:08:58.042Z", "ro": false, "sysMes": true, "_updatedAt": "2016-12-09T15:22:40.656Z" }, { "_id": "t7qapfhZjANMRAi5w", "name": "testing", "t": "p", "msgs": 0, "u": { "_id": "y65tAmHs93aDChMWu", "username": "testing2" }, "ts": "2016-12-01T15:08:58.042Z", "ro": false, "sysMes": true, "_updatedAt": "2016-12-09T15:22:40.656Z" } ], "offset": 0, "count": 1, "total": 1, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````